<template>
  <new-black-theme-m-header-title
    :title="header.Text"
  />
  <div class="page-content overflow-auto px-4 pt-4 pb-[5rem] unset-height unset-padding-b">
    <div v-html="menuContent.Text"></div>
  </div>
</template>

<script lang="ts">
import { computed, defineComponent } from "vue";
import { IThemePropertiesFromApi } from "@/models/companyThemePropertiesRespone";
import { store } from "@/store";

export default defineComponent({
  setup() {
    const themeProperties = computed(
      () => store.state.companyThemePropertiesFromApi.ThemeProperties
    );
    const menuContent = computed(
      (): IThemePropertiesFromApi =>
        themePropertyHelper.getSingleThemeProperty(
          themeProperties.value,
          "menu_content_2_1"
        )
    );
    const header = computed(
      (): IThemePropertiesFromApi =>
        themePropertyHelper.getSingleThemeProperty(
          themeProperties.value,
          "footer_menu_info_2"
        )
    );
    return {
      menuContent,
      header,
    };
  },
});
</script>

<style scoped>
.page-content {
  line-height: 22px;
  text-align: justify;
  background: var(--background2);
  background-size: auto;
  background-size: 112.5rem 44.55rem;
  color: var(--text);
  font-size: 14px;
  height: calc(100vh - 52px);
  overflow-y: auto;
}

.about-header {
  font-weight: 600;
  font-size: 30px;
  padding-bottom: 20px;
  border-bottom: 0.01rem solid var(--text);
  margin-bottom: 20px;
}

.fs_Bold {
  font-weight: 600;
  margin-bottom: 10px;
  margin-top: 30px;
  font-size: 16px;
}

.page-content p {
  margin-bottom: 10px;
}
</style>
